org.keycloak.models.jpa.session

## Class PersistentClientSessionEntity.Key

- java.lang.Object
- - org.keycloak.models.jpa.session.PersistentClientSessionEntity.Key

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    PersistentClientSessionEntity

      public static class PersistentClientSessionEntity.Key
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientId`
    `protected String` | `clientStorageProvider`
    `protected String` | `externalClientId`
    `protected String` | `offline`
    `protected String` | `userSessionId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Key()`
    `Key(String userSessionId, String clientId, String clientStorageProvider, String externalClientId, String offline)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientId()`
    `String` | `getClientStorageProvider()`
    `String` | `getExternalClientId()`
    `String` | `getOffline()`
    `String` | `getUserSessionId()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionId

          protected String userSessionId

    - #### clientId

          protected String clientId

    - #### clientStorageProvider

          protected String clientStorageProvider

    - #### externalClientId

          protected String externalClientId

    - #### offline

          protected String offline

  - ### Constructor Detail

    - #### Key

          public Key()

    - #### Key

          public Key(String userSessionId,
                     String clientId,
                     String clientStorageProvider,
                     String externalClientId,
                     String offline)

  - ### Method Detail

    - #### getUserSessionId

          public String getUserSessionId()

    - #### getClientId

          public String getClientId()

    - #### getOffline

          public String getOffline()

    - #### getClientStorageProvider

          public String getClientStorageProvider()

    - #### getExternalClientId

          public String getExternalClientId()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.